Reply to topic

problem compiling calligra on mac

williamgeldhof
Registered Member
Posts
6
Karma
0

problem compiling calligra on mac

Fri May 17, 2013 11:44 pm
ver : osx 10.6.8

options :
cmake -DCMAKE_INSTALL_PREFIX=$HOME/kde4/inst $HOME/kde4/src/calligra -DCMAKE_BUILD_TYPE=RelWithDebInfo -DBUILD_kexi=OFF -DBUILD_karbon=OFF -DBUILD_cstester=OFF
make



when i try to compile calligra this way i get this :

Linking CXX shared module ../../../lib/krossmoduleplan.so
[ 34%] Built target krossmoduleplan
[ 34%] Built target ScriptingTester_automoc
Linking CXX executable ScriptingTester.app/Contents/MacOS/ScriptingTester
ld: in ../../../../lib/krossmoduleplan.so, can't link with bundle (MH_BUNDLE) only dylibs (MH_DYLIB)
collect2: ld returned 1 exit status
make[2]: *** [plan/plugins/scripting/tests/ScriptingTester.app/Contents/MacOS/ScriptingTester] Error 1
make[1]: *** [plan/plugins/scripting/tests/CMakeFiles/ScriptingTester.dir/all] Error 2
make: *** [all] Error 2


everything before the 34% compiled well. i think the system expects a dylib , but the script produce an .so

anyone an idea ?

regards,
william
philacs
KDE Developer
Posts
26
Karma
0
OS
Hi william,

You're building what version and how did you managed the build dependencies? Look at the cmake option it is an old version.
williamgeldhof
Registered Member
Posts
6
Karma
0
hi Philacs,
thank you for your prompt reply.

maybe i should pull the source from git ?

This is the configuration:

calligra 2.6.3
My aim is to have krita on mac os x.
macports 2.1.3

this is de output of cmake
-- Found Qt-Version 4.8.4
-- -> QT_QMAKE_EXECUTABLE is /opt/local/bin/qmake
-- -> QT_INCLUDE_DIR is /opt/local/include
-- -> QT_QTCORE_INCLUDE_DIR is /opt/local/include/QtCore
-- -> QT_BINARY_DIR is /opt/local/bin
-- -> QT_LIBRARY_DIR is /opt/local/lib
-- -> QT_PLUGINS_DIR is /opt/local/share/qt4/plugins
-- -> QT_MKSPECS_DIR is /opt/local/share/qt4/mkspecs
-- Looking for Phonon
-- -> KDE4_INCLUDE_INSTALL_DIR is /opt/local/include
-- -> KDE4_LIB_INSTALL_DIR is /opt/local/lib
-- -> INCLUDE_INSTALL_DIR is
-- -> QT_LIBRARY_DIR is /opt/local/lib
-- -> QT_INCLUDE_DIR is /opt/local/include
-- Results of Search for Phonon
-- -> PHONON_VERSION is 4.6.0
-- -> PHONON_INCLUDE_DIR is /opt/local/include
-- -> PHONON_LIBRARY is /opt/local/lib/libphonon.dylib
-- Found KDE 4.10 include dir: /opt/local/include
-- Found KDE 4.10 library dir: /opt/local/lib
-- Found the KDE4 kconfig_compiler preprocessor: /opt/local/bin/kconfig_compiler
-- Found automoc4: /opt/local/bin/automoc4
-- Found Qt-Version 4.8.4
-- -> QT_QMAKE_EXECUTABLE is /opt/local/bin/qmake
-- -> QT_INCLUDE_DIR is /opt/local/include
-- -> QT_QTCORE_INCLUDE_DIR is /opt/local/include/QtCore
-- -> QT_BINARY_DIR is /opt/local/bin
-- -> QT_LIBRARY_DIR is /opt/local/lib
-- -> QT_PLUGINS_DIR is /opt/local/share/qt4/plugins
-- -> QT_MKSPECS_DIR is /opt/local/share/qt4/mkspecs
-- Boost version: 1.53.0
-- NOTE: Recommended SQLite version is 3.7.15
-- Found ICU header files in /opt/local/include
-- Found ICU libraries: /opt/local/lib/libicuuc.dylib
-- Found OPENEXR: /opt/local/lib/libImath.dylib;/opt/local/lib/libIlmImf.dylib;/opt/local/lib/libIex.dylib;/opt/local/lib/libHalf.dylib;/opt/local/lib/libIlmThread.dylib
-- Found OpenGL: /System/Library/Frameworks/AGL.framework;/System/Library/Frameworks/OpenGL.framework
-- Found Qt OpenGL support
-- Found lcms version 2.04, /opt/local/lib/liblcms2.dylib
-- Could NOT find Vc: found neither VcConfig.cmake nor vc-config.cmake (Required is at least version "0.6.70")
-- Unable to find the iconutil utility - application will not have an application icon!
-- Unable to find the iconutil utility - application will not have an application icon!
-- Unable to find the iconutil utility - application will not have an application icon!
-- Unable to find the iconutil utility - application will not have an application icon!
-- WARNING: you are using the obsolete 'PKGCONFIG' macro, use FindPkgConfig
-- PKGCONFIG() indicates that gsl is not installed (install the package which contains gsl.pc if you want to support this feature)
-- Unable to find the iconutil utility - application will not have an application icon!
-- GLEW NOT found - krita will not be able to use OpenGL shaders
-- OpenGL found -- krita will be able to use OpenGL for hardware accelerated rendering.
-- OpenColorIO NOT found
KisQueuesProgressUpdaterTest disabled for 2.4 release. Re-enable after 2.4 and fix the progress updater
-- FFTW Found Version:
-- checking for module 'OpenCTL>=0.9.16'
-- package 'OpenCTL>=0.9.16' not found
-- OpenCTL was NOT found.
-- checking for module 'OpenShiva>=0.9.16'
-- package 'OpenShiva>=0.9.16' not found
-- OpenShiva was NOT found.
-- checking for module 'QtShiva>=0.9.2'
-- package 'QtShiva>=0.9.2' not found
-- QtShiva was NOT found.
-- checking for module 'poppler-qt4'
-- package 'poppler-qt4' not found
-- Could not find OPTIONAL package Poppler-Qt4
-- Check for Kdcraw library in local sub-folder...
-- Check Kdcraw library using pkg-config...
-- Found libkdcraw release 2.2.0
-- Found libkdcraw: /opt/local/lib/libkdcraw.dylib
-- Found OpenJPEG: /opt/local/lib/libopenjpeg.dylib
-- Unable to find the iconutil utility - application will not have an application icon!
-- checking for module 'OpenCTL>=0.9.16'
-- package 'OpenCTL>=0.9.16' not found
-- OpenCTL was NOT found.
-- checking for module 'OpenShiva>=0.9.16'
-- package 'OpenShiva>=0.9.16' not found
-- OpenShiva was NOT found.
-- checking for module 'QtShiva>=0.9.2'
-- package 'QtShiva>=0.9.2' not found
-- QtShiva was NOT found.
-- Unable to find the iconutil utility - application will not have an application icon!
-- Could NOT find Spnav (missing: SPNAV_INCLUDE_DIR SPNAV_LIBRARY)
-- Could not find sdk/bin/cppumaker
or program/offapi.rdb for OOoSDK.
CMake Warning at /opt/local/share/apps/cmake/modules/MacroOptionalFindPackage.cmake:32 (find_package):
By not providing "FindOkular.cmake" in CMAKE_MODULE_PATH this project has
asked CMake to find a package configuration file provided by "Okular", but
CMake did not find one.

Could not find a package configuration file provided by "Okular" with any
of the following names:

OkularConfig.cmake
okular-config.cmake

Add the installation prefix of "Okular" to CMAKE_PREFIX_PATH or set
"Okular_DIR" to a directory containing one of the above files. If "Okular"
provides a separate development package or SDK, be sure it has been
installed.
Call Stack (most recent call first):
tools/CMakeLists.txt:16 (macro_optional_find_package)


status
-- checking for module 'libwpd-0.9'
-- package 'libwpd-0.9' not found
-- Could NOT find WPD (missing: WPD_INCLUDE_DIR WPD_LIBRARIES)
-- checking for module 'libwpg-0.2'
-- package 'libwpg-0.2' not found
-- checking for module 'libwpd-0.9'
-- package 'libwpd-0.9' not found
-- Could NOT find WPD (missing: WPD_INCLUDE_DIR WPD_LIBRARIES)
-- checking for module 'libwpg-0.2'
-- package 'libwpg-0.2' not found
-- checking for module 'libwps-0.2'
-- package 'libwps-0.2' not found
-- Found Qt-Version 4.8.4
-- -> QT_QMAKE_EXECUTABLE is /opt/local/bin/qmake
-- -> QT_INCLUDE_DIR is /opt/local/include
-- -> QT_QTCORE_INCLUDE_DIR is /opt/local/include/QtCore
-- -> QT_BINARY_DIR is /opt/local/bin
-- -> QT_LIBRARY_DIR is /opt/local/lib
-- -> QT_PLUGINS_DIR is /opt/local/share/qt4/plugins
-- -> QT_MKSPECS_DIR is /opt/local/share/qt4/mkspecs
-- checking for module 'libwpd-0.9'
-- package 'libwpd-0.9' not found
-- Could NOT find WPD (missing: WPD_INCLUDE_DIR WPD_LIBRARIES)
-- checking for module 'libwpg-0.2'
-- package 'libwpg-0.2' not found
-- checking for module 'libvisio-0.0'
-- package 'libvisio-0.0' not found

-----------------------------------------------------------------------------
-- The following external packages were located on your system.
-- This installation will have the extra features provided by these packages.
-----------------------------------------------------------------------------
* LibAttica - Attica is used for Get Hot New Stuff.
* SQLite - Embedded SQL database engine with enabled extensions loading
* ICU - International Components for Unicode (ICU) Library
* OpenGL - OpenGL support
* KDE PIMLibs - KDE Personal Information Management Libraries
* Eigen - C++ template library for linear algebra
* QCA - Qt Cryptographic Architecture
* Exiv2 - Image metadata library and tools
* Soprano - KDE4 RDF handling library
* Marble - KDE4 World Globe Widget library
* LittleCMS - Color management engine
* Nepomuk - Handles metadata of resources
* KActivities - Activities interface library
* Qt Webkit - Qt binding for Webkit, the HTML engine.
* SharedMimeInfo - Shared Mime Info
* LibRCPS - Resource Constrained Project Scheduling Library
* FFTW3 - A fast, free C FFT library
* png - Official PNG reference library
* OpenEXR - High dynamic-range (HDR) image file format
* tiff - TIFF Library and Utilities
* jpeg - Free library for JPEG image compression
* kdcraw - The KDCraw library
* openjpeg - Free library for JPEG 2000 image compression
* Iconv - Iconv
* Java JNI - Java native interface

-----------------------------------------------------------------------------
-- The following OPTIONAL packages could NOT be located on your system.
-- Consider installing them to enable more features from this software.
-----------------------------------------------------------------------------
* Vc <http://code.compeng.uni-frankfurt.de/projects/vc>
Portable, zero-overhead SIMD library for C++
Required by the Krita for vectorization
* KDE PIM iCalendar <http://www.kde.org/>
KDE Personal Information Management iCalendar Libraries
Required by Plan ICalendar export filter (available as a module in KDE)
* GSL (1.7 or higher) <http://www.gnu.org/software/gsl>
GNU Scientific Library
Required by Sheets' solver plugin
* GLEW <http://glew.sourceforge.net>
The OpenGL Extension Wrangler Library
Required by the Krita shader filter plugin
* OCIO <http://www.opencolorio.org>
The OpenColorIO Library
Required by the Krita LUT docker
* OpenCTL (0.9.16 or higher) <http://www.opengtl.org>
Free Color Transformation Language implementation (part of OpenGTL)
Required for High Dynamic Range Color Spaces, YCbCr and LMS support
* OpenShiva <http://www.opengtl.org>
OpenShiva interpreter for the Shiva Kernel Language (part of OpenGTL)
Required for Shiva based Generators and Filters
* QtShiva <http://www.opengtl.org>
Qt bindings for the OpenShiva interpreter (part of libQtGTL)
Required for Shiva based Generators and Filters
* poppler-qt4 <http://poppler.freedesktop.org>
The Poppler Qt4 interface library
Required by the Krita PDF filter
* Spnav <http://spacenav.sourceforge.net/>
3Dconnexion device driver and SDK
Required by SpaceNavigator 3D mouse plugin
* Okular <http://okular.kde.org/>
Okular ODP Plugin
Required to build the Okular OpenDocument Presenter plugin
* WPD <http://libwpd.sourceforge.net/>
WordPerfect Document Library
Required by the Words WPD import filter
* WPG <http://libwpg.sourceforge.net/>
WordPerfect Graphics Library
Required by the Karbon WPG import filter
* WPD <http://libwpd.sourceforge.net/>
WordPerfect Document Library
Required by the Words WPD import filter
* WPG <http://libwpg.sourceforge.net/>
WordPerfect Graphics Library
Required by the Karbon WPG import filter
* LibWPS <http://libwps.sourceforge.net/>
Microsoft Works Document Library
Required by the Words WPS import filter
* LibVisio <http://www.freedesktop.org/wiki/Software/libvisio>
Visio Import Filter Library
Required by the Flow visio import filter

-----------------------------------------------------------------------------

-- ---------------- The following applications will be built ----------------
-- words
-- sheets
-- stage
-- flow
-- plan
-- krita
-- braindump
-- calligra
-- --------------------------------------------------------------------------
-- Configuring done
-- Generating done
-- Build files have been written to: /Users/William
philacs
KDE Developer
Posts
26
Karma
0
OS
Before the problem fixed you can use -DKDE4_BUILD_TESTS=OFF to disable building tests on OSX.
williamgeldhof
Registered Member
Posts
6
Karma
0
hi,

thanks. passing 54% now...

regards,
william
williamgeldhof
Registered Member
Posts
6
Karma
0
On 79% i get this,

[ 79%] Building CXX object libs/db/drivers/sqlite/CMakeFiles/kexidb_sqlite3driver.dir/sqlitealter.cpp.o
Linking CXX shared module ../../../../lib/kexidb_sqlite3driver.so
Undefined symbols:
"_sqlite3_load_extension", referenced from:
KexiDB::SQLiteConnection::loadExtension(QString const&) in sqliteconnection.cpp.o
"_sqlite3_enable_load_extension", referenced from:
KexiDB::SQLiteConnectionInternal::setExtensionsLoadingEnabled(bool) in sqliteconnection.cpp.o
ld: symbol(s) not found
collect2: ld returned 1 exit status
make[2]: *** [lib/kexidb_sqlite3driver.so] Error 1
make[1]: *** [libs/db/drivers/sqlite/CMakeFiles/kexidb_sqlite3driver.dir/all] Error 2

even if i disable kexi in the cmake statement, i get this .

regards,
william
User avatar jstaniek
Moderator
Posts
339
Karma
0
OS
williamgeldhof wrote:On 79% i get this,

[ 79%] Building CXX object libs/db/drivers/sqlite/CMakeFiles/kexidb_sqlite3driver.dir/sqlitealter.cpp.o
Linking CXX shared module ../../../../lib/kexidb_sqlite3driver.so
Undefined symbols:
"_sqlite3_load_extension", referenced from:
KexiDB::SQLiteConnection::loadExtension(QString const&) in sqliteconnection.cpp.o
"_sqlite3_enable_load_extension", referenced from:
KexiDB::SQLiteConnectionInternal::setExtensionsLoadingEnabled(bool) in sqliteconnection.cpp.o
ld: symbol(s) not found
collect2: ld returned 1 exit status
make[2]: *** [lib/kexidb_sqlite3driver.so] Error 1
make[1]: *** [libs/db/drivers/sqlite/CMakeFiles/kexidb_sqlite3driver.dir/all] Error 2

even if i disable kexi in the cmake statement, i get this .

regards,
william


SQLite is needed regardless of enabling Kexi. You can try to add full SQLite build (opon your own) because the version you have may be incomplete, as the error says it lacks support for extensions.


Best regards, Jarosław Staniek
May I help you? Please include your software version and OS version/name when asking for help.

Kexi - Visual Database Apps Creator, Calligra Suite
Image Image
williamgeldhof
Registered Member
Posts
6
Karma
0

Re: problem compiling calligra on mac

Thu May 23, 2013 11:27 pm
hi ,

thank you for your suggestion.

i put the lines with sqlite3_connection... as comment. So the linking/compiling continued.i don't need kexi for the moment, so that is not a big deal.
further on i got an error about iconv.

The error about iconv was this :
Linking CXX shared library ../../../../../lib/libkowv2.dylib
Undefined symbols:
"_libiconv", referenced from:
wvWare::TextConverter::convert(char const*, unsigned int) constin textconverter.cpp.o
"_libiconv_close", referenced from:
wvWare::TextConverter::close() in textconverter.cpp.o
"_libiconv_open", referenced from:
wvWare::TextConverter::open() in textconverter.cpp.o
ld: symbol(s) not found

I think it is a known problem on mac os x with iconv in such configuration. But for the moment this is not important to me.


After some trial and errors i was able to compile calligra with krita, but only when i omit words and a few other packages.
I used this option :
cmake -DCMAKE_INSTALL_PREFIX=$HOME/kde4/inst $HOME/kde4/src/calligra -DCMAKE_BUILD_TYPE=RelWithDebInfo -DBUILD_kexi=OFF -DBUILD_karbon=OFF -DBUILD_cstester=OFF -DKDE4_BUILD_TESTS=OFF -DBUILD_words=OFF
make
make install

After the make install i start the resulting application, i get bouncing program icons in the dock, but after 15 seconds, drkonqi crashes.

i adjusted DYLD_LIBRARY_PATH and a few other paths to no avail.

regards,
william
User avatar bcooksley
Administrator
Posts
18657
Karma
83
OS

Re: problem compiling calligra on mac

Fri May 24, 2013 11:48 am
Are you able to try starting Calligra (or any of it's various applications such as Words, Kexi, etc) in a debugger, to get a backtrace there?
On a Linux system one can usually use "gdb" for this - as Apple opted for Clang i'm not sure what the debugger they use is though.


System Settings and Device Actions KCM maintainer
Image
williamgeldhof
Registered Member
Posts
6
Karma
0

Re: problem compiling calligra on mac

Fri May 24, 2013 12:56 pm
hi,

it's gdb.

following was the solution :
launchctl load -w /Library/LaunchAgents/org.freedesktop.dbus-session.plist
then i got something on part.desktop in the gdb debugging.

the suggestion of gdb was to check kde-config --path services
kde4-config --path services
/Users/William/kde4/.kde/share/kde4/services/:/Users/William/kde4/inst/share/kde4/services/:/opt/local/share/kde4/services/
looks ok

this was the solution
kbuildsycoca4

Now krita is starting.

Thanks for all help.
william

 
Reply to topic

Bookmarks



Who is online

Registered users: afiestas, arojas, avishekk, Baidu [Spider], Bing [Bot], bjoernbalazs, Cris70, edmael, einar, epsi1on, Exabot [Bot], ggael, Google [Bot], google01103, Hans, ivan, jgrulich, joshaughnessy, jstaniek, koriun, La Ninje, Majestic-12 [Bot], MSNbot Media, ooker, scummos, sinclair, Sogou [Bot], TheraHedwig, Tioz, Yahoo [Bot]